#!/bin/bash
#
#  The Kpax (-flex) alignments given better statistics in every case...
#

MATT=/home/dritchie/kpax/Matt_dave/bin/Matt

OPTIONS="-b"

mkdir matt_results

#
# the first group is from Shatsky et al 2002
#

${MATT}  ${OPTIONS}  -o matt_1wdn_1ggg    1ggg_a.pdb  1wdn_a.pdb
#${MATT} ${OPTIONS}  -o matt_1hpb_1ggg    1ggg_a.pdb  1hpb_p.pdb
${MATT}  ${OPTIONS}  -o matt_2bbm_1cll    1cll_a.pdb  2bbm_a.pdb
${MATT}  ${OPTIONS}  -o matt_2bbm_1top    1top_a.pdb  2bbm_a.pdb
${MATT}  ${OPTIONS}  -o matt_1ake_2ak3    2ak3_a.pdb  1ake_a.pdb 
${MATT}  ${OPTIONS}  -o matt_2ak3_1uke    1uke_a.pdb  2ak3_b.pdb 
${MATT}  ${OPTIONS}  -o matt_1mcp_4fab    4fab_l.pdb  1mcp_l.pdb
${MATT}  ${OPTIONS}  -o matt_1mcp_1tcr    1tcr_b.pdb  1mcp_l.pdb
${MATT}  ${OPTIONS}  -o matt_1lfh_1lfg    1lfg_a.pdb  1lfh_a.pdb
${MATT}  ${OPTIONS}  -o matt_1tfd_1lfh    1lfh_b.pdb  1tfd_a.pdb
#${MATT} ${OPTIONS}  -o matt_1b9w_1dan    1dan_l.pdb  1b9w_a.pdb
${MATT}  ${OPTIONS}  -o matt_1qf6_1adj    1adj_a.pdb  1qf6_a.pdb
${MATT}  ${OPTIONS}  -o matt_2clr_3fru    3fru_a.pdb  2clr_a.pdb
${MATT}  ${OPTIONS}  -o matt_1fmk_1qcf    1qcf_a.pdb  1fmk_a.pdb 
${MATT}  ${OPTIONS}  -o matt_1fmk_1tki    1tki_a.pdb  1fmk_a.pdb
${MATT}  ${OPTIONS}  -o matt_1a21_1hwg    1hwg_c.pdb  1a21_a.pdb

#
#  the next group is from Shatsky et al 2004
# (for 1dce, they use a truncated domain; Kpax can align this, no problem,
#  but it actually gives a better alignment on the full length domain)
#

${MATT}  ${OPTIONS}  -o matt_1ntr_1dc7    1dc7_a.pdb  1ntr_a.pdb
#${MATT} ${OPTIONS}  -o matt_1dce_1a17    1a17_a.pdb  1dce_a240.pdb
${MATT}  ${OPTIONS}  -o matt_1dce_1a17    1a17_a.pdb  1dce_a.pdb
${MATT}  ${OPTIONS}  -o matt_2nac_1psd    1psd_a.pdb  2nac_a.pdb
${MATT}  ${OPTIONS}  -o matt_1chm_1xgs    1xgs_a.pdb  1chm_a.pdb

mv matt_*.pdb matt_*.spt matt_*.txt matt_*.fasta matt_results

